claw::const_dereference< T > Class Template Reference

Function object that dereferences a constant pointer. More...

`#include <functional.hpp>`

## Public Types

using | argument_type = const T*
using | result_type = const T&

## Public Member Functions

| const_dereference (const dereference< T > &)
| const_dereference (const const_dereference< T > &)
const T & | operator() (const T *a) const

## Detailed Description

template<typename T>
class claw::const_dereference< T >

Function object that dereferences a constant pointer.

Template arguments:

- T The pointed type (ie. int, not int*.

Author
  Julien Jorge

Definition at line 350 of file functional.hpp.

## Member Typedef Documentation

## argument_type

template<typename T>

using claw::const_dereference< T >::argument_type = const T*

Definition at line 353 of file functional.hpp.

## result_type

template<typename T>

using claw::const_dereference< T >::result_type = const T&

Definition at line 354 of file functional.hpp.

## Constructor & Destructor Documentation

## const_dereference() [1/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( |  | ) |

inline

Definition at line 357 of file functional.hpp.

## const_dereference() [2/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( | const dereference< T > & |  | ) |

inline

Definition at line 358 of file functional.hpp.

## const_dereference() [3/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( | const const_dereference< T > & |  | ) |

inline

Definition at line 359 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

const T & claw::const_dereference< T >::operator() | ( | const T * | a | ) | const

inline

Definition at line 361 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp